From e30ab17d7e2a56644f995649daa7551f53a9a6a3 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Tue, 1 Jul 2025 15:03:31 +0000
Subject: [PATCH] linux-firmware: upgrade 20250509 -> 20250627

---
 ...20250509.bb => linux-firmware_20250627.bb} | 1565 ++++++++++++++++-
 1 file changed, 1562 insertions(+), 3 deletions(-)
 rename meta/recipes-kernel/linux-firmware/{linux-firmware_20250509.bb => linux-firmware_20250627.bb} (64%)

diff --git a/meta/recipes-kernel/linux-firmware/linux-firmware_20250509.bb b/meta/recipes-kernel/linux-firmware/linux-firmware_20250627.bb
similarity index 64%
rename from meta/recipes-kernel/linux-firmware/linux-firmware_20250509.bb
rename to meta/recipes-kernel/linux-firmware/linux-firmware_20250627.bb
index ea75271af8..045645594b 100644
--- a/meta/recipes-kernel/linux-firmware/linux-firmware_20250509.bb
+++ b/meta/recipes-kernel/linux-firmware/linux-firmware_20250627.bb
@@ -1,3 +1,1562 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- LICENCE.cnm
+# +++ LICENCE.cnm
+# @@ -1,23 +1,43 @@
+#  Copyright (C) 2021 Chips&Media, Inc.
+#  All rights reserved.
+#  
+# -Redistribution and use in binary form is permitted provided that the following
+# +Redistribution and use in binary form are permitted provided that the following
+#  conditions are met:
+#  
+#  1. Redistributions must reproduce the above copyright notice, this list of
+#  conditions and the following disclaimer in the documentation and/or other
+#  materials provided with the distribution.
+#  
+# -2. Redistribution and use shall be used only with Texas Instruments Incorporateds
+# -silicon products. Any other use, reproduction, modification, translation,
+# -or compilation of the Software is prohibited.
+# +2. Use of the following software binaries shall be strictly limited as
+# +specified below:
+# +
+# +  2.1 Solely for use with Texas Instruments Incorporated's silicon products:
+# +    * wave521c_k3_codec_fw.bin
+# +
+# +  2.2 Solely for use with NXP's silicon products:
+# +    * wave633c_imx9_codec_fw.bin
+# +
+# +Any other use, reproduction, modification, translation, or compilation of the
+# +Software is prohibited.
+#  
+#  3. No reverse engineering, decompilation, or disassembly is permitted.
+# +
+# +4. Neither the name of Chips&Media, Inc. nor the names of its suppliers may be
+# +used to endorse or promote products derived from this software without specific
+# +prior written permission.
+#  
+#  TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, THIS SOFTWARE IS PROVIDED
+#  "AS IS" WITHOUT WARRANTY OF ANY KIND, INCLUDING, WITHOUT LIMITATION, ANY EXPRESS
+#  OR IMPLIED WARRANTIES OF MERCHANTABILITY, ACCURACY, FITNESS OR SUFFICIENCY FOR A
+#  PARTICULAR PURPOSE, SATISFACTORY QUALITY, CORRESPONDENCE WITH DESCRIPTION, QUIET
+#  ENJOYMENT OR NON-INFRINGEMENT OF THIRD PARTY INTELLECTUAL PROPERTY RIGHTS.
+# -CHIPS&MEDIA, INC., ITS AFFILIATES AND THEIR SUPPLIERS DISCLAIM ANY WARRANTY THAT THE
+# -DELIVERABLES WILL OPERATE WITHOUT INTERRUPTION OR BE ERROR-FREE.
+# +CHIPS&MEDIA, INC., ITS AFFILIATES AND THEIR SUPPLIERS DISCLAIM ANY WARRANTY THAT
+# +THE DELIVERABLES WILL OPERATE WITHOUT INTERRUPTION OR BE ERROR-FREE.
+# +
+# +IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
+# +INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
+# +BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# +DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# +LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
+# +OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# +ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# --- WHENCE
+# +++ WHENCE
+# @@ -8,7 +8,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: BCM-0bb4-0306 Cypress Bluetooth firmware for HTC Vive
+# +Driver: BCM-0bb4-0306 - Cypress Bluetooth firmware for HTC Vive
+#  
+#  File: brcm/BCM-0bb4-0306.hcd
+#  Link: brcm/BCM-0a5c-6410.hcd -> BCM-0bb4-0306.hcd
+# @@ -17,7 +17,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: snd-korg1212 -- Korg 1212 IO audio device
+# +Driver: snd-korg1212 - Korg 1212 IO audio device
+#  
+#  File: korg/k1212.dsp
+#  
+# @@ -27,7 +27,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: snd-maestro3 -- ESS Allegro Maestro3 audio device
+# +Driver: snd-maestro3 - ESS Allegro Maestro3 audio device
+#  
+#  File: ess/maestro3_assp_kernel.fw
+#  File: ess/maestro3_assp_minisrc.fw
+# @@ -35,13 +35,13 @@
+#  Licence: Unknown
+#  
+#  Found in alsa-firmware package in hex form with a comment claiming to
+# -be GPLv2+, but without source -- and with another comment saying "ESS
+# +be GPLv2+, but without source - and with another comment saying "ESS
+#  drops binary dsp code images on our heads, but we don't get to see
+#  specs on the dsp."
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: snd-ymfpci -- Yamaha YMF724/740/744/754 audio devices
+# +Driver: snd-ymfpci - Yamaha YMF724/740/744/754 audio devices
+#  
+#  File: yamaha/ds1_ctrl.fw
+#  File: yamaha/ds1_dsp.fw
+# @@ -61,7 +61,7 @@
+#  File: advansys/38C0800.bin
+#  File: advansys/38C1600.bin
+#  
+# -Licence: BSD, no source available.
+# +Licence: Redistributable. See LICENCE.advansys for details
+#  
+#  Found in hex form in kernel source.
+#  
+# @@ -77,7 +77,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: kaweth -- USB KLSI KL5USB101-based Ethernet device
+# +Driver: kaweth - USB KLSI KL5USB101-based Ethernet device
+#  
+#  File: kaweth/new_code.bin
+#  File: kaweth/new_code_fix.bin
+# @@ -90,7 +90,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: dvb-ttusb-budget -- Technotrend/Hauppauge Nova-USB devices
+# +Driver: dvb-ttusb-budget - Technotrend/Hauppauge Nova-USB devices
+#  
+#  File: ttusb-budget/dspbootcode.bin
+#  
+# @@ -100,7 +100,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: keyspan -- USB Keyspan USA-xxx serial device
+# +Driver: keyspan - USB Keyspan USA-xxx serial device
+#  
+#  File: keyspan/mpr.fw
+#  File: keyspan/usa18x.fw
+# @@ -117,29 +117,11 @@
+#  
+#  Converted from Intel HEX files, used in our binary representation of ihex.
+#  
+# -Original licence information:
+# -
+# -		Copyright (C) 1999-2001
+# -		Keyspan, A division of InnoSys Incorporated ("Keyspan")
+# -
+# -	as an unpublished work. This notice does not imply unrestricted or
+# -	public access to the source code from which this firmware image is
+# -	derived.  Except as noted below this firmware image may not be
+# -	reproduced, used, sold or transferred to any third party without
+# -	Keyspan's prior written consent.  All Rights Reserved.
+# -
+# -	Permission is hereby granted for the distribution of this firmware
+# -	image as part of a Linux or other Open Source operating system kernel
+# -	in text or binary form as required.
+# -
+# -	This firmware may not be modified and may only be used with
+# -	Keyspan hardware.  Distribution and/or Modification of the
+# -	keyspan.c driver which includes this firmware, in whole or in
+# -	part, requires the inclusion of this statement."
+# -
+# ---------------------------------------------------------------------------
+# -
+# -Driver: keyspan_pda -- USB Keyspan PDA single-port serial device
+# +Licence: Redistributable. See LICENCE.keyspan for details
+# +
+# +--------------------------------------------------------------------------
+# +
+# +Driver: keyspan_pda - USB Keyspan PDA single-port serial device
+#  
+#  File: keyspan_pda/keyspan_pda.fw
+#  Source: keyspan_pda/keyspan_pda.S
+# @@ -155,7 +137,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: emi26 -- EMI 2|6 USB Audio interface
+# +Driver: emi26 - EMI 2|6 USB Audio interface
+#  
+#  File: emi26/bitstream.fw
+#  Version: 1.1.1.131
+# @@ -169,29 +151,11 @@
+#  
+#  Converted from Intel HEX files, used in our binary representation of ihex.
+#  
+# -Original licence information:
+# -/*
+# - * This firmware is for the Emagic EMI 2|6 Audio Interface
+# - *
+# - * The firmware contained herein is Copyright (c) 1999-2002 Emagic
+# - * as an unpublished work. This notice does not imply unrestricted
+# - * or public access to this firmware which is a trade secret of Emagic,
+# - * and which may not be reproduced, used, sold or transferred to
+# - * any third party without Emagic's written consent. All Rights Reserved.
+# - *
+# - * Permission is hereby granted for the distribution of this firmware
+# - * image as part of a Linux or other Open Source operating system kernel
+# - * in text or binary form as required.
+# - *
+# - * This firmware may not be modified and may only be used with the
+# - * Emagic EMI 2|6 Audio Interface. Distribution and/or Modification of
+# - * any driver which includes this firmware, in whole or in part,
+# - * requires the inclusion of this statement.
+# - */
+# -
+# ---------------------------------------------------------------------------
+# -
+# -Driver: emi62 -- EMI 6|2m USB Audio interface
+# +Licence: Redistributable. See LICENCE.emi26 for details
+# +
+# +--------------------------------------------------------------------------
+# +
+# +Driver: emi62 - EMI 6|2m USB Audio interface
+#  
+#  File: emi62/bitstream.fw
+#  Version: 1.0.0.191
+# @@ -215,7 +179,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: ti_usb_3410_5052 -- USB TI 3410/5052 serial device
+# +Driver: ti_usb_3410_5052 - USB TI 3410/5052 serial device
+#  
+#  File: ti_3410.fw
+#  Info: firmware 9/10/04 FW3410_Special_StartWdogOnStartPort
+# @@ -230,7 +194,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: ti_usb_3410_5052 -- Multi-Tech USB cell modems
+# +Driver: ti_usb_3410_5052 - Multi-Tech USB cell modems
+#  
+#  File: mts_cdma.fw
+#  File: mts_gsm.fw
+# @@ -244,7 +208,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: ti_usb_3410_5052 -- Multi-Tech USB fax modems
+# +Driver: ti_usb_3410_5052 - Multi-Tech USB fax modems
+#  
+#  File: mts_mt9234mu.fw
+#  File: mts_mt9234zba.fw
+# @@ -253,7 +217,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: whiteheat -- USB ConnectTech WhiteHEAT serial device
+# +Driver: whiteheat - USB ConnectTech WhiteHEAT serial device
+#  
+#  File: whiteheat.fw
+#  Version: 4.06
+# @@ -273,7 +237,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: cpia2 -- cameras based on Vision's CPiA2
+# +Driver: cpia2 - cameras based on Vision's CPiA2
+#  
+#  File: cpia2/stv0672_vp4.bin
+#  
+# @@ -286,23 +250,16 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: dabusb -- Digital Audio Broadcasting (DAB) Receiver for USB and Linux
+# +Driver: dabusb - Digital Audio Broadcasting (DAB) Receiver for USB and Linux
+#  
+#  File: dabusb/firmware.fw
+#  File: dabusb/bitstream.bin
+#  
+# -Licence: Distributable
+# -
+# - * Copyright (C) 1999 BayCom GmbH
+# - *
+# - * Redistribution and use in source and binary forms, with or without
+# - * modification, are permitted provided that redistributions of source
+# - * code retain the above copyright notice and this comment without
+# - * modification.
+# -
+# ---------------------------------------------------------------------------
+# -
+# -Driver: vicam -- USB 3com HomeConnect (aka vicam)
+# +Licence: Redistributable. See LICENCE.dabusb for details
+# +
+# +--------------------------------------------------------------------------
+# +
+# +Driver: vicam - USB 3com HomeConnect (aka vicam)
+#  
+#  File: vicam/firmware.fw
+#  
+# @@ -458,20 +415,7 @@
+#  File: slicoss/oasisdownload.sys
+#  File: slicoss/oasisrcvucode.sys
+#  
+# -Licence:
+# -		Copyright (C) 1999-2009 Alacritech, Inc.
+# -
+# -	as an unpublished work. This notice does not imply unrestricted or
+# -	public access to the source code from which this firmware image is
+# -	derived.  Except as noted below this firmware image may not be
+# -	reproduced, used, sold or transferred to any third party without
+# -	Alacritech's prior written consent.  All Rights Reserved.
+# -
+# -	Permission is hereby granted for the distribution of this firmware
+# -	image as part of a Linux or other Open Source operating system kernel
+# -	in text or binary form as required.
+# -
+# -	This firmware may not be modified.
+# +Licence: Redistributable. See LICENCE.alacritech for details
+#  
+#  Found in hex form in kernel source.
+#  
+# @@ -482,20 +426,7 @@
+#  File: sxg/saharadownloadB.sys
+#  File: sxg/saharadbgdownloadB.sys
+#  
+# -Licence:
+# -		Copyright (C) 1999-2009 Alacritech, Inc.
+# -
+# -	as an unpublished work. This notice does not imply unrestricted or
+# -	public access to the source code from which this firmware image is
+# -	derived.  Except as noted below this firmware image may not be
+# -	reproduced, used, sold or transferred to any third party without
+# -	Alacritech's prior written consent.  All Rights Reserved.
+# -
+# -	Permission is hereby granted for the distribution of this firmware
+# -	image as part of a Linux or other Open Source operating system kernel
+# -	in text or binary form as required.
+# -
+# -	This firmware may not be modified.
+# +Licence: Redistributable. See LICENCE.alacritech for details
+#  
+#  Found in hex form in kernel source.
+#  
+# @@ -521,12 +452,7 @@
+#  File: cxgb3/ael2005_twx_edc.bin
+#  File: cxgb3/ael2020_twx_edc.bin
+#  
+# -Licence:
+# - *	Copyright (c) 2007-2009 NetLogic Microsystems, Inc.
+# - *
+# - *	Permission is hereby granted for the distribution of this firmware
+# - *	data in hexadecimal or equivalent format, provided this copyright
+# - *	notice is accompanying it.
+# +Licence: Redistributable. See LICENCE.cxgb3 for details
+#  
+#  Found in hex form in kernel source.
+#  
+# @@ -559,7 +485,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: e100 -- Intel PRO/100 Ethernet NIC
+# +Driver: e100 - Intel PRO/100 Ethernet NIC
+#  
+#  File: e100/d101m_ucode.bin
+#  File: e100/d101s_ucode.bin
+# @@ -569,7 +495,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: acenic -- Alteon AceNIC Gigabit Ethernet card
+# +Driver: acenic - Alteon AceNIC Gigabit Ethernet card
+#  
+#  File: acenic/tg1.bin
+#  File: acenic/tg2.bin
+# @@ -581,21 +507,14 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: tg3 -- Broadcom Tigon3 based gigabit Ethernet cards
+# +Driver: tg3 - Broadcom Tigon3 based gigabit Ethernet cards
+#  
+#  File: tigon/tg3.bin
+#  File: tigon/tg3_tso.bin
+#  File: tigon/tg3_tso5.bin
+#  File: tigon/tg357766.bin
+#  
+# -Licence:
+# - * Firmware is:
+# - *	Derived from proprietary unpublished source code,
+# - *	Copyright (C) 2000-2013 Broadcom Corporation.
+# - *
+# - *	Permission is hereby granted for the distribution of this firmware
+# - *	data in hexadecimal or equivalent format, provided this copyright
+# - *	notice is accompanying it.
+# +Licence: Redistributable. See LICENCE.tigon for details
+#  
+#  Found in hex form in kernel source.
+#  
+# @@ -805,7 +724,7 @@
+#  Version: 17.bfb58538.0
+#  
+#  File: iwlwifi-7265D-29.ucode
+# -Version: 29.f2390aa8.0
+# +Version: 29.9ef079ed.0
+#  
+#  File: iwlwifi-3168-29.ucode
+#  Version: 29.0bd893f3.0
+# @@ -814,13 +733,13 @@
+#  Version: 34.610288.0
+#  
+#  File: iwlwifi-8000C-36.ucode
+# -Version: 36.ca7b901d.0
+# +Version: 36.c8e8e144.0
+#  
+#  File: iwlwifi-8265-34.ucode
+#  Version: 34.610288.0
+#  
+#  File: iwlwifi-8265-36.ucode
+# -Version: 36.ca7b901d.0
+# +Version: 36.c8e8e144.0
+#  
+#  File: iwlwifi-9000-pu-b0-jf-b0-34.ucode
+#  Version: 34.ba501b11.0
+# @@ -1022,25 +941,25 @@
+#  Version: 74.a5e9588b.0
+#  
+#  File: iwlwifi-cc-a0-77.ucode
+# -Version: 74.f31a351f.0
+# +Version: 74.864baa2e.0
+#  
+#  File: iwlwifi-Qu-b0-hr-b0-77.ucode
+# -Version: 74.f31a351f.0
+# +Version: 74.864baa2e.0
+#  
+#  File: iwlwifi-Qu-b0-jf-b0-77.ucode
+# -Version: 74.f31a351f.0
+# +Version: 74.864baa2e.0
+#  
+#  File: iwlwifi-Qu-c0-hr-b0-77.ucode
+# -Version: 74.f31a351f.0
+# +Version: 74.864baa2e.0
+#  
+#  File: iwlwifi-Qu-c0-jf-b0-77.ucode
+# -Version: 74.f31a351f.0
+# +Version: 74.864baa2e.0
+#  
+#  File: iwlwifi-QuZ-a0-hr-b0-77.ucode
+# -Version: 74.f31a351f.0
+# +Version: 74.864baa2e.0
+#  
+#  File: iwlwifi-QuZ-a0-jf-b0-77.ucode
+# -Version: 74.f31a351f.0
+# +Version: 74.864baa2e.0
+#  
+#  File: iwlwifi-ty-a0-gf-a0-77.ucode
+#  Version: 74.f92b5fed.0
+# @@ -1064,7 +983,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-ty-a0-gf-a0-89.ucode
+# -Version: 86.7f71c7f4.0
+# +Version: 86.af655058.0
+#  
+#  File: iwlwifi-so-a0-gf4-a0-77.ucode
+#  Version: 74.f92b5fed.0
+# @@ -1088,7 +1007,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-so-a0-gf4-a0-89.ucode
+# -Version: 86.7f71c7f4.0
+# +Version: 86.af655058.0
+#  
+#  File: iwlwifi-so-a0-gf-a0-77.ucode
+#  Version: 74.f92b5fed.0
+# @@ -1112,7 +1031,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-so-a0-gf-a0-89.ucode
+# -Version: 86.7f71c7f4.0
+# +Version: 86.af655058.0
+#  
+#  File: iwlwifi-so-a0-hr-b0-77.ucode
+#  Version: 74.f92b5fed.0
+# @@ -1133,7 +1052,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-so-a0-hr-b0-89.ucode
+# -Version: 86.7f71c7f4.0
+# +Version: 86.af655058.0
+#  
+#  File: iwlwifi-so-a0-jf-b0-77.ucode
+#  Version: 74.f92b5fed.0
+# @@ -1218,7 +1137,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-ma-b0-gf-a0-89.ucode
+# -Version: 86.7f71c7f4.0
+# +Version: 86.af655058.0
+#  
+#  File: iwlwifi-ma-b0-gf-a0.pnvm
+#  
+# @@ -1229,7 +1148,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-ma-b0-gf4-a0-89.ucode
+# -Version: 86.7f71c7f4.0
+# +Version: 86.af655058.0
+#  
+#  File: iwlwifi-ma-b0-gf4-a0.pnvm
+#  
+# @@ -1240,7 +1159,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-ma-b0-hr-b0-89.ucode
+# -Version: 86.7f71c7f4.0
+# +Version: 86.af655058.0
+#  
+#  Licence: Redistributable. See LICENCE.iwlwifi_firmware for details
+#  
+# @@ -1287,6 +1206,17 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# +Driver: intel-ipu7-isys - Intel IPU7 (Image Processing Unit 7) driver
+# +
+# +File: intel/ipu/ipu7_fw.bin
+# +Version: master_release_20240628_1854
+# +
+# +File: intel/ipu/ipu7ptl_fw.bin
+# +Version: master_release_20250515_1232
+# +
+# +Licence: Redistributable. See LICENSE.intel for details
+# +
+# +--------------------------------------------------------------------------
+#  Driver: mei-vsc-hw - Intel Visual Sensing Controller
+#  
+#  File: intel/vsc/ivsc_fw.bin
+# @@ -1353,39 +1283,7 @@
+#  
+#  File: 3com/typhoon.bin
+#  
+# -Licence:
+# -/*
+# - * Copyright 1999-2004 3Com Corporation.  All Rights Reserved.
+# - *
+# - * Redistribution and use in source and binary forms of the 3c990img.h
+# - * microcode software are permitted provided that the following conditions
+# - * are met:
+# - * 1. Redistribution of source code must retain the above copyright
+# - *    notice, this list of conditions and the following disclaimer.
+# - * 2. Redistribution in binary form must reproduce the above copyright
+# - *    notice, this list of conditions and the following disclaimer in the
+# - *    documentation and/or other materials provided with the distribution.
+# - * 3. The name of 3Com may not be used to endorse or promote products
+# - *    derived from this software without specific prior written permission
+# - *
+# - * THIS SOFTWARE IS PROVIDED BY 3COM ``AS IS'' AND ANY EXPRESS OR
+# - * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+# - * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# - * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+# - * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+# - * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# - * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# - * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# - * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# - * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# - *
+# - * USER ACKNOWLEDGES AND AGREES THAT PURCHASE OR USE OF THE 3c990img.h
+# - * MICROCODE SOFTWARE WILL NOT CREATE OR GIVE GROUNDS FOR A LICENSE BY
+# - * IMPLICATION, ESTOPPEL, OR OTHERWISE IN ANY INTELLECTUAL PROPERTY RIGHTS
+# - * (PATENT, COPYRIGHT, TRADE SECRET, MASK WORK, OR OTHER PROPRIETARY RIGHT)
+# - * EMBODIED IN ANY OTHER 3COM HARDWARE OR SOFTWARE EITHER SOLELY OR IN
+# - * COMBINATION WITH THE 3c990img.h MICROCODE SOFTWARE
+# - */
+# +Licence: Redistributable. See LICENCE.typhoon for details
+#  
+#  Found in hex form in kernel source.
+#  
+# @@ -1537,7 +1435,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: bnx2x: Broadcom Everest
+# +Driver: bnx2x - Broadcom Everest
+#  
+#  File: bnx2x/bnx2x-e1-7.13.1.0.fw
+#  File: bnx2x/bnx2x-e1-7.13.11.0.fw
+# @@ -1552,17 +1450,7 @@
+#  File: bnx2x/bnx2x-e2-7.13.15.0.fw
+#  File: bnx2x/bnx2x-e2-7.13.21.0.fw
+#  
+# -
+# -License:
+# -  Copyright (c) 2007-2011 Broadcom Corporation
+# -
+# -  This file contains firmware data derived from proprietary unpublished
+# -  source code, Copyright (c) 2007-2011 Broadcom Corporation.
+# -
+# -  Permission is hereby granted for the distribution of this firmware data
+# -  in hexadecimal or equivalent format, provided this copyright notice is
+# -  accompanying it.
+# -
+# +License: Redistributable. See LICENCE.bnx2x for details.
+#  
+#  Found in hex form in kernel source.
+#  
+# @@ -1576,14 +1464,7 @@
+#  File: bnx2/bnx2-rv2p-09-6.0.17.fw
+#  File: bnx2/bnx2-rv2p-09ax-6.0.17.fw
+#  
+# -Licence:
+# -
+# - This file contains firmware data derived from proprietary unpublished
+# - source code, Copyright (c) 2004 - 2010 Broadcom Corporation.
+# -
+# - Permission is hereby granted for the distribution of this firmware data
+# - in hexadecimal or equivalent format, provided this copyright notice is
+# - accompanying it.
+# +License: Redistributable. See LICENCE.bnx2 for details.
+#  
+#  Found in hex form in kernel source.
+#  
+# @@ -1600,7 +1481,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: dvb-ttpci -- AV7110 cards
+# +Driver: dvb-ttpci - AV7110 cards
+#  
+#  File: av7110/bootcode.bin
+#  Source: av7110/Boot.S
+# @@ -1710,8 +1591,7 @@
+#  File: usbduxsigma_firmware.bin
+#  Source: usbdux/
+#  
+# -Licence: GPLv2. See GPL-2 for details.
+# -
+# +Licence: GPLv2 or later. See GPL-2 for details.
+#  Provided from the author, Bernd Porr <BerndPorr@f2s.com>
+#  
+#  --------------------------------------------------------------------------
+# @@ -1792,28 +1672,9 @@
+#  
+#  File: r128/r128_cce.bin
+#  
+# -Licence:
+# +Licence: MIT
+#  
+#  Copyright 2000 Advanced Micro Devices, Inc.
+# -
+# - * Permission is hereby granted, free of charge, to any person obtaining a
+# - * copy of this software and associated documentation files (the "Software"),
+# - * to deal in the Software without restriction, including without limitation
+# - * the rights to use, copy, modify, merge, publish, distribute, sublicense,
+# - * and/or sell copies of the Software, and to permit persons to whom the
+# - * Software is furnished to do so, subject to the following conditions:
+# - *
+# - * The above copyright notice and this permission notice (including the next
+# - * paragraph) shall be included in all copies or substantial portions of the
+# - * Software.
+# - *
+# - * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# - * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# - * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
+# - * PRECISION INSIGHT AND/OR ITS SUPPLIERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
+# - * OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
+# - * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
+# - * DEALINGS IN THE SOFTWARE.
+#  
+#  Found in decimal form in kernel source.
+#  
+# @@ -1849,29 +1710,9 @@
+#  File: radeon/RV710_pfp.bin
+#  File: radeon/RV710_me.bin
+#  
+# -Licence:
+# -
+# - * Copyright 2007-2009 Advanced Micro Devices, Inc.
+# - * All Rights Reserved.
+# - *
+# - * Permission is hereby granted, free of charge, to any person obtaining a
+# - * copy of this software and associated documentation files (the "Software"),
+# - * to deal in the Software without restriction, including without limitation
+# - * the rights to use, copy, modify, merge, publish, distribute, sublicense,
+# - * and/or sell copies of the Software, and to permit persons to whom the
+# - * Software is furnished to do so, subject to the following conditions:
+# - *
+# - * The above copyright notice and this permission notice (including the next
+# - * paragraph) shall be included in all copies or substantial portions of the
+# - * Software.
+# - *
+# - * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# - * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# - * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
+# - * IN NO EVENT SHALL THE COPYRIGHT OWNER(S) AND/OR ITS SUPPLIERS BE
+# - * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
+# - * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
+# - * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+# +Licence: MIT
+# +
+# +Copyright 2007-2009 Advanced Micro Devices, Inc.
+#  
+#  Found in hex form in kernel source.
+#  
+# @@ -2347,6 +2188,7 @@
+#  File: amdgpu/vega10_asd.bin
+#  File: amdgpu/vega10_ce.bin
+#  File: amdgpu/vega10_gpu_info.bin
+# +File: amdgpu/vega10_ip_discovery.bin
+#  File: amdgpu/vega10_me.bin
+#  File: amdgpu/vega10_mec.bin
+#  File: amdgpu/vega10_mec2.bin
+# @@ -2361,6 +2203,7 @@
+#  File: amdgpu/vega12_asd.bin
+#  File: amdgpu/vega12_ce.bin
+#  File: amdgpu/vega12_gpu_info.bin
+# +File: amdgpu/vega12_ip_discovery.bin
+#  File: amdgpu/vega12_me.bin
+#  File: amdgpu/vega12_mec.bin
+#  File: amdgpu/vega12_mec2.bin
+# @@ -2374,6 +2217,7 @@
+#  File: amdgpu/vega12_vce.bin
+#  File: amdgpu/vega20_asd.bin
+#  File: amdgpu/vega20_ce.bin
+# +File: amdgpu/vega20_ip_discovery.bin
+#  File: amdgpu/vega20_me.bin
+#  File: amdgpu/vega20_mec.bin
+#  File: amdgpu/vega20_mec2.bin
+# @@ -2389,6 +2233,7 @@
+#  File: amdgpu/raven_asd.bin
+#  File: amdgpu/raven_ce.bin
+#  File: amdgpu/raven_gpu_info.bin
+# +File: amdgpu/raven_ip_discovery.bin
+#  File: amdgpu/raven_me.bin
+#  File: amdgpu/raven_mec.bin
+#  File: amdgpu/raven_mec2.bin
+# @@ -2402,6 +2247,7 @@
+#  File: amdgpu/picasso_asd.bin
+#  File: amdgpu/picasso_ce.bin
+#  File: amdgpu/picasso_gpu_info.bin
+# +File: amdgpu/picasso_ip_discovery.bin
+#  File: amdgpu/picasso_me.bin
+#  File: amdgpu/picasso_mec.bin
+#  File: amdgpu/picasso_mec2.bin
+# @@ -2414,6 +2260,7 @@
+#  File: amdgpu/raven2_asd.bin
+#  File: amdgpu/raven2_ce.bin
+#  File: amdgpu/raven2_gpu_info.bin
+# +File: amdgpu/raven2_ip_discovery.bin
+#  File: amdgpu/raven2_me.bin
+#  File: amdgpu/raven2_mec.bin
+#  File: amdgpu/raven2_mec2.bin
+# @@ -2519,6 +2366,7 @@
+#  File: amdgpu/navy_flounder_vcn.bin
+#  File: amdgpu/arcturus_asd.bin
+#  File: amdgpu/arcturus_gpu_info.bin
+# +File: amdgpu/arcturus_ip_discovery.bin
+#  File: amdgpu/arcturus_mec2.bin
+#  File: amdgpu/arcturus_mec.bin
+#  File: amdgpu/arcturus_rlc.bin
+# @@ -2582,6 +2430,7 @@
+#  File: amdgpu/cyan_skillfish2_rlc.bin
+#  File: amdgpu/cyan_skillfish2_sdma.bin
+#  File: amdgpu/cyan_skillfish2_sdma1.bin
+# +File: amdgpu/aldebaran_ip_discovery.bin
+#  File: amdgpu/aldebaran_mec2.bin
+#  File: amdgpu/aldebaran_mec.bin
+#  File: amdgpu/aldebaran_rlc.bin
+# @@ -2598,6 +2447,9 @@
+#  File: amdgpu/gc_9_4_4_mec.bin
+#  File: amdgpu/gc_9_4_4_rlc.bin
+#  File: amdgpu/gc_9_4_4_sjt_mec.bin
+# +File: amdgpu/gc_9_5_0_mec.bin
+# +File: amdgpu/gc_9_5_0_rlc.bin
+# +File: amdgpu/gc_9_5_0_sjt_mec.bin
+#  File: amdgpu/gc_10_3_6_ce.bin
+#  File: amdgpu/gc_10_3_6_me.bin
+#  File: amdgpu/gc_10_3_6_mec.bin
+# @@ -2611,6 +2463,7 @@
+#  File: amdgpu/gc_10_3_7_pfp.bin
+#  File: amdgpu/gc_10_3_7_rlc.bin
+#  File: amdgpu/gc_11_0_0_imu.bin
+# +File: amdgpu/gc_11_0_0_imu_kicker.bin
+#  File: amdgpu/gc_11_0_0_me.bin
+#  File: amdgpu/gc_11_0_0_mec.bin
+#  File: amdgpu/gc_11_0_0_mes1.bin
+# @@ -2618,6 +2471,7 @@
+#  File: amdgpu/gc_11_0_0_mes_2.bin
+#  File: amdgpu/gc_11_0_0_pfp.bin
+#  File: amdgpu/gc_11_0_0_rlc.bin
+# +File: amdgpu/gc_11_0_0_rlc_kicker.bin
+#  File: amdgpu/gc_11_0_0_rlc_1.bin
+#  File: amdgpu/gc_11_0_1_imu.bin
+#  File: amdgpu/gc_11_0_1_me.bin
+# @@ -2698,7 +2552,9 @@
+#  File: amdgpu/dcn_3_5_1_dmcub.bin
+#  File: amdgpu/dcn_4_0_1_dmcub.bin
+#  File: amdgpu/psp_13_0_0_sos.bin
+# +File: amdgpu/psp_13_0_0_sos_kicker.bin
+#  File: amdgpu/psp_13_0_0_ta.bin
+# +File: amdgpu/psp_13_0_0_ta_kicker.bin
+#  File: amdgpu/psp_13_0_4_ta.bin
+#  File: amdgpu/psp_13_0_4_toc.bin
+#  File: amdgpu/psp_13_0_5_asd.bin
+# @@ -2715,6 +2571,8 @@
+#  File: amdgpu/psp_13_0_10_ta.bin
+#  File: amdgpu/psp_13_0_11_ta.bin
+#  File: amdgpu/psp_13_0_11_toc.bin
+# +File: amdgpu/psp_13_0_12_sos.bin
+# +File: amdgpu/psp_13_0_12_ta.bin
+#  File: amdgpu/psp_13_0_14_sos.bin
+#  File: amdgpu/psp_13_0_14_ta.bin
+#  File: amdgpu/psp_14_0_0_ta.bin
+# @@ -2728,6 +2586,7 @@
+#  File: amdgpu/psp_14_0_4_ta.bin
+#  File: amdgpu/psp_14_0_4_toc.bin
+#  File: amdgpu/sdma_4_4_2.bin
+# +File: amdgpu/sdma_4_4_4.bin
+#  File: amdgpu/sdma_4_4_5.bin
+#  File: amdgpu/sdma_5_2_6.bin
+#  File: amdgpu/sdma_5_2_7.bin
+# @@ -2741,6 +2600,7 @@
+#  File: amdgpu/sdma_7_0_0.bin
+#  File: amdgpu/sdma_7_0_1.bin
+#  File: amdgpu/smu_13_0_0.bin
+# +File: amdgpu/smu_13_0_0_kicker.bin
+#  File: amdgpu/smu_13_0_6.bin
+#  File: amdgpu/smu_13_0_7.bin
+#  File: amdgpu/smu_13_0_10.bin
+# @@ -2757,6 +2617,7 @@
+#  File: amdgpu/vcn_4_0_6.bin
+#  File: amdgpu/vcn_4_0_6_1.bin
+#  File: amdgpu/vcn_5_0_0.bin
+# +File: amdgpu/vcn_5_0_1.bin
+#  File: amdgpu/vpe_6_1_0.bin
+#  File: amdgpu/vpe_6_1_1.bin
+#  File: amdgpu/vpe_6_1_3.bin
+# @@ -3053,6 +2914,7 @@
+#  Link: brcm/brcmfmac43430-sdio.sinovoip,bpi-m2-ultra.txt -> brcmfmac43430-sdio.AP6212.txt
+#  Link: brcm/brcmfmac43430-sdio.sinovoip,bpi-m3.txt -> brcmfmac43430-sdio.AP6212.txt
+#  Link: brcm/brcmfmac43430-sdio.sinovoip,bananapi-m64.txt -> brcmfmac43430-sdio.AP6212.txt
+# +Link: brcm/brcmfmac43430-sdio.friendlyarm,nanopi-neo4.txt -> brcmfmac43430-sdio.AP6212.txt
+#  Link: brcm/brcmfmac43430-sdio.friendlyarm,nanopi-r1.txt -> brcmfmac43430-sdio.AP6212.txt
+#  Link: brcm/brcmfmac43430-sdio.starfive,visionfive-v1.txt -> brcmfmac43430-sdio.AP6212.txt
+#  Link: brcm/brcmfmac43430-sdio.beagle,beaglev-starlight-jh7100-a1.txt -> brcmfmac43430-sdio.AP6212.txt
+# @@ -3081,10 +2943,12 @@
+#  File: brcm/brcmfmac4356-sdio.AP6356S.txt
+#  Link: brcm/brcmfmac4356-sdio.firefly,firefly-rk3399.txt -> brcmfmac4356-sdio.AP6356S.txt
+#  Link: brcm/brcmfmac4356-sdio.friendlyarm,nanopi-m4.txt -> brcmfmac4356-sdio.AP6356S.txt
+# +Link: brcm/brcmfmac4356-sdio.friendlyarm,nanopc-t4.txt -> brcmfmac4356-sdio.AP6356S.txt
+#  Link: brcm/brcmfmac4356-sdio.khadas,vim2.txt -> brcmfmac4356-sdio.AP6356S.txt
+#  Link: brcm/brcmfmac4356-sdio.vamrs,rock960.txt -> brcmfmac4356-sdio.AP6356S.txt
+#  File: brcm/brcmfmac43455-sdio.AW-CM256SM.txt
+#  Link: brcm/brcmfmac43455-sdio.beagle,am5729-beagleboneai.txt -> brcmfmac43455-sdio.AW-CM256SM.txt
+# +Link: brcm/brcmfmac43455-sdio.khadas,vim.txt -> brcmfmac43455-sdio.AW-CM256SM.txt
+#  Link: brcm/brcmfmac43455-sdio.pine64,pinebook-pro.txt -> brcmfmac43455-sdio.AW-CM256SM.txt
+#  Link: brcm/brcmfmac43455-sdio.pine64,pinenote-v1.1.txt -> brcmfmac43455-sdio.AW-CM256SM.txt
+#  Link: brcm/brcmfmac43455-sdio.pine64,pinenote-v1.2.txt -> brcmfmac43455-sdio.AW-CM256SM.txt
+# @@ -3632,6 +3496,9 @@
+#  File: rtl_nic/rtl8126a-3.fw
+#  Version: 0.0.5
+#  
+# +File: rtl_nic/rtl8127a-1.fw
+# +Version: 0.0.5
+# +
+#  Licence:
+#   * Copyright © 2011-2013, Realtek Semiconductor Corporation
+#   *
+# @@ -3713,7 +3580,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver:Atheros AR300x UART HCI Bluetooth Chip driver
+# +Driver: Atheros AR300x UART HCI Bluetooth Chip driver
+#  
+#  File: ar3k/1020201/PS_ASIC.pst
+#  File: ar3k/1020201/RamPatch.txt
+# @@ -3958,7 +3825,7 @@
+#  File: ath12k/WCN7850/hw2.0/board-2.bin
+#  File: ath12k/WCN7850/hw2.0/amss.bin
+#  File: ath12k/WCN7850/hw2.0/m3.bin
+# -Version: WLAN.HMT.1.1.c5-00284-QCAHMTSWPL_V1.0_V2.0_SILICONZ-3
+# +Version: WLAN.HMT.1.1.c5-00284.1-QCAHMTSWPL_V1.0_V2.0_SILICONZ-3
+#  File: ath12k/WCN7850/hw2.0/Notice.txt
+#  File: ath12k/QCN9274/hw2.0/board-2.bin
+#  File: ath12k/QCN9274/hw2.0/firmware-2.bin
+# @@ -4028,7 +3895,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: ene-ub6250 -- ENE UB6250 SD card reader driver
+# +Driver: ene-ub6250 - ENE UB6250 SD card reader driver
+#  
+#  File: ene-ub6250/sd_init1.bin
+#  File: ene-ub6250/sd_init2.bin
+# @@ -4041,7 +3908,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: isci -- Intel C600 SAS controller driver
+# +Driver: isci - Intel C600 SAS controller driver
+#  
+#  File: isci/isci_firmware.bin
+#  Source: isci/
+# @@ -4050,7 +3917,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: ar5523 -- Atheros AR5523 based USB Wifi dongles
+# +Driver: ar5523 - Atheros AR5523 based USB Wifi dongles
+#  
+#  File: ar5523.bin
+#  
+# @@ -4080,7 +3947,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: carl9170 -- Atheros AR9170 802.11 draft-n USB driver
+# +Driver: carl9170 - Atheros AR9170 802.11 draft-n USB driver
+#  
+#  File: carl9170-1.fw
+#  Version: 1.9.6
+# @@ -4088,7 +3955,7 @@
+#  
+#  Downloaded from http://linuxwireless.org/en/users/Drivers/carl9170
+#  
+# -Licence: GPLv2. Some build scripts use the New BSD (3-clause) licence.. See GPL-2 for details.
+# +Licence: GPLv2 or later. Some build scripts use the New BSD (3-clause) licence. See GPL-2 for details.
+#  
+#  --------------------------------------------------------------------------
+#  
+# @@ -4140,7 +4007,7 @@
+#  File: intel/ibt-18-16-1.ddc
+#  File: intel/ibt-18-2.sfi
+#  File: intel/ibt-18-2.ddc
+# -Version: BT_Pulsar_REL20425_22.20.2412.20425
+# +Version: BT_Pulsar_REL20451_22.20.2433.20451
+#  
+#  File: intel/ibt-17-0-1.sfi
+#  Version: BT_JeffersonPeak_A0_B0_REL0201
+# @@ -4172,45 +4039,45 @@
+#  File: intel/ibt-20-1-4.ddc
+#  Version: BT_CyclonePeak_A0_REL53636
+#  File: intel/ibt-19-0-0.sfi
+# -Version: BT_Quasar_REL53497
+# +Version: BT_Quasar_REL53697
+#  File: intel/ibt-19-0-0.ddc
+# -Version: BT_Quasar_REL53497
+# +Version: BT_Quasar_REL53697
+#  File: intel/ibt-19-0-1.sfi
+# -Version: BT_Quasar_REL53497
+# +Version: BT_Quasar_REL53697
+#  File: intel/ibt-19-0-1.ddc
+# -Version: BT_Quasar_REL53497
+# +Version: BT_Quasar_REL53697
+#  File: intel/ibt-19-0-3.sfi
+# -Version: BT_Quasar_REL53263
+# +Version: BT_Quasar_REL53697
+#  File: intel/ibt-19-0-3.ddc
+# -Version: BT_Quasar_REL53263
+# +Version: BT_Quasar_REL53697
+#  File: intel/ibt-19-0-4.sfi
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-0-4.ddc
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-16-4.sfi
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-16-4.ddc
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-32-1.sfi
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-32-1.ddc
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-32-0.sfi
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-32-0.ddc
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-32-4.sfi
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-32-4.ddc
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-240-1.sfi
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-240-1.ddc
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-240-4.sfi
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  File: intel/ibt-19-240-4.ddc
+# -Version: BT_HarrisonPeak_REL53636
+# +Version: BT_HarrisonPeak_REL53697
+#  
+#  File: intel/ibt-0041-0041.sfi
+#  File: intel/ibt-0041-0041.ddc
+# @@ -4226,7 +4093,7 @@
+#  File: intel/ibt-0040-1050.ddc
+#  File: intel/ibt-1040-1050.sfi
+#  File: intel/ibt-1040-1050.ddc
+# -Version: BT_Solar_REL81864_23.50.24483.81864
+# +Version: BT_Solar_REL82008_23.50.25133.82008
+#  
+#  File: intel/ibt-0040-1020.sfi
+#  File: intel/ibt-0040-1020.ddc
+# @@ -4248,7 +4115,7 @@
+#  File: intel/ibt-0093-4150.ddc
+#  File: intel/ibt-0093-1050.sfi
+#  File: intel/ibt-0093-1050.ddc
+# -Version: BT_BlazarU_S_REL76693_23.120.25071.76693
+# +Version: BT_BlazarU_S_REL82313_23.140.25182.82313
+#  
+#  File: intel/ibt-0180-0041.sfi
+#  File: intel/ibt-0180-0041.ddc
+# @@ -4256,7 +4123,7 @@
+#  File: intel/ibt-0180-4150.ddc
+#  File: intel/ibt-0180-1050.sfi
+#  File: intel/ibt-0180-1050.ddc
+# -Version: BT_Magnetar_REL103604_23.50.24483.103604
+# +Version: BT_Magnetar_REL103831_23.50.25133.103831
+#  
+#  File: intel/ibt-0190-0291.sfi
+#  File: intel/ibt-0190-0291-iml.sfi
+# @@ -4272,7 +4139,7 @@
+#  File: intel/ibt-0190-0291-pci.sfi
+#  File: intel/ibt-0190-0291-usb.ddc
+#  File: intel/ibt-0190-0291-usb.sfi
+# -Version: BT_BlazarI_S_REL82746_23.120.25071.82746
+# +Version: BT_BlazarI_S_REL90142_23.140.25182.90142
+#  
+#  Licence: Redistributable. See LICENCE.ibt_firmware for details
+#  
+# @@ -4339,7 +4206,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: rp2 -- Comtrol RocketPort 2 serial driver
+# +Driver: rp2 - Comtrol RocketPort 2 serial driver
+#  
+#  File: rp2.fw
+#  
+# @@ -4458,19 +4325,7 @@
+#  
+#  File: sdd_sagrad_1091_1098.bin
+#  
+# -License:
+# -  Copyright (c) 2011-2013 Sagrad, Inc.
+# -
+# -  This SDD ("Static Dynamic Data") file is licensed strictly for use with
+# -  the Sagrad WiFi modules (such as the SG901-1091/1098) that utilize the
+# -  cw1200 driver. There is no warranty expressed or implied about its
+# -  fitness for any purpose.
+# -
+# -  Permission is hereby granted for the distribution of this SDD file as
+# -  part of Linux or other Open Source operating system kernel in text or
+# -  binary form as required.
+# -
+# -  (Please note that the actual device firmware is separately licensed)
+# +License: Redistributable. See LICENCE.cw1200-sdd for details
+#  
+#  --------------------------------------------------------------------------
+#  
+# @@ -4520,7 +4375,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: rsi -- Redpine Signals Inc 91x driver
+# +Driver: rsi - Redpine Signals Inc 91x driver
+#  
+#  File: rsi_91x.fw
+#  
+# @@ -4550,7 +4405,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: xhci-rcar -- Renesas R-Car Gen2/3 USB 3.0 host controller driver
+# +Driver: xhci-rcar - Renesas R-Car Gen2/3 USB 3.0 host controller driver
+#  
+#  File: r8a779x_usb3_v1.dlmem
+#  File: r8a779x_usb3_v2.dlmem
+# @@ -4577,7 +4432,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: it9135 -- ITEtech IT913x DVB-T USB driver
+# +Driver: it9135 - ITEtech IT913x DVB-T USB driver
+#  
+#  File: dvb-usb-it9135-01.fw
+#  File: dvb-usb-it9135-02.fw
+# @@ -4586,7 +4441,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: snd_soc_catpt -- Intel AudioDSP driver for HSW/BDW platforms
+# +Driver: snd_soc_catpt - Intel AudioDSP driver for HSW/BDW platforms
+#  
+#  File: intel/catpt/bdw/dsp_basefw.bin
+#  Version: 44b81c4d5397a63108356f58f036953d9b288c4e
+# @@ -4596,7 +4451,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: snd_soc_avs -- Intel AudioDSP driver for cAVS platforms
+# +Driver: snd_soc_avs - Intel AudioDSP driver for cAVS platforms
+#  
+#  File: intel/avs/skl/dsp_basefw.bin
+#  File: intel/avs/skl/dsp_mod_7CAD0808-AB10-CD23-EF45-12AB34CD56EF.bin
+# @@ -4724,7 +4579,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: xhci-tegra -- NVIDIA Tegra XHCI driver
+# +Driver: xhci-tegra - NVIDIA Tegra XHCI driver
+#  
+#  File: nvidia/tegra124/xusb.bin
+#  Version: v45.46
+# @@ -4742,7 +4597,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: tegra-vic -- NVIDIA Tegra VIC driver
+# +Driver: tegra-vic - NVIDIA Tegra VIC driver
+#  
+#  File: nvidia/tegra124/vic03_ucode.bin
+#  Link: nvidia/tegra124/vic.bin -> vic03_ucode.bin
+# @@ -4810,7 +4665,7 @@
+#  Version: BTFW.HSP.2.1.0-00653-VER_PATCHZ-3
+#  File: qca/QCA2066/nvm_usb_00130201_030a.bin
+#  File: qca/QCA2066/nvm_usb_00130201_gf_030a.bin
+# -Version: BTFW.HAMILTON.2.0.0-00790-USB_PATCHZ-3
+# +Version: BTFW.HAMILTON.2.0.0-00799-USB_PATCHZ-5
+#  File: qca/nvm_usb_00190200.bin
+#  File: qca/nvm_usb_00190200_0104.bin
+#  File: qca/nvm_usb_00190200_0106.bin
+# @@ -4979,7 +4834,7 @@
+#  
+#  -------------------------------------------------------------------------
+#  
+# -Driver: liquidio -- Cavium LiquidIO driver
+# +Driver: liquidio - Cavium LiquidIO driver
+#  
+#  File: liquidio/lio_23xx_nic.bin
+#  Version: v1.7.2
+# @@ -4997,7 +4852,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: nitrox -- Cavium CNN55XX crypto driver
+# +Driver: nitrox - Cavium CNN55XX crypto driver
+#  
+#  File: cavium/cnn55xx_ae.fw
+#  Version: v01
+# @@ -5009,7 +4864,7 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: i915 -- Intel Graphics driver
+# +Driver: i915 - Intel Graphics driver
+#  
+#  File: i915/skl_dmc_ver1_23.bin
+#  File: i915/skl_dmc_ver1_26.bin
+# @@ -5345,7 +5200,7 @@
+#  Version: GuC API/APB ver 70.4.1 for DG2
+#  
+#  File: i915/dg2_guc_70.bin
+# -Version: GuC API/APB ver 70.44.1 for DG2
+# +Version: GuC API/APB ver 70.45.2 for DG2
+#  
+#  File: i915/dg2_huc_gsc.bin
+#  Version: HuC API/APB ver 7.10.16 for DG2
+# @@ -5386,19 +5241,19 @@
+#  License: Redistributable. See LICENSE.i915 for details
+#  --------------------------------------------------------------------------
+#  
+# -Driver: xe -- Intel Graphics driver
+# +Driver: xe - Intel Graphics driver
+#  
+#  File: xe/lnl_gsc_1.bin
+# -Version: GSC API/APB v1.0, release 104.0.0.1263, SVN 1 for Lunarlake
+# +Version: GSC API/APB v1.0, release 104.0.5.1429, SVN 1 for Lunarlake
+#  
+#  File: xe/lnl_guc_70.bin
+# -Version: GuC API/APB ver 70.44.1 for Lunarlake
+# +Version: GuC API/APB ver 70.45.2 for Lunarlake
+#  
+#  File: xe/lnl_huc.bin
+#  Version: HuC API/APB ver 9.4.13 for Lunarlake
+#  
+#  File: xe/bmg_guc_70.bin
+# -Version: GuC API/APB ver 70.44.1 for Battlemage
+# +Version: GuC API/APB ver 70.45.2 for Battlemage
+#  
+#  File: xe/bmg_huc.bin
+#  Version: HuC API/APB ver 8.2.10 for Battlemage
+# @@ -5825,34 +5680,64 @@
+#  File: nvidia/tu102/gsp/bootloader-535.113.01.bin
+#  File: nvidia/tu102/gsp/booter_load-535.113.01.bin
+#  File: nvidia/tu102/gsp/booter_unload-535.113.01.bin
+# +File: nvidia/tu102/gsp/bootloader-570.144.bin
+# +File: nvidia/tu102/gsp/booter_load-570.144.bin
+# +File: nvidia/tu102/gsp/booter_unload-570.144.bin
+#  Link: nvidia/tu104/gsp -> ../tu102/gsp
+#  Link: nvidia/tu106/gsp -> ../tu102/gsp
+#  
+#  File: nvidia/tu116/gsp/booter_load-535.113.01.bin
+#  File: nvidia/tu116/gsp/booter_unload-535.113.01.bin
+#  Link: nvidia/tu116/gsp/bootloader-535.113.01.bin -> ../../tu102/gsp/bootloader-535.113.01.bin
+# +File: nvidia/tu116/gsp/booter_load-570.144.bin
+# +File: nvidia/tu116/gsp/booter_unload-570.144.bin
+# +Link: nvidia/tu116/gsp/bootloader-570.144.bin -> ../../tu102/gsp/bootloader-570.144.bin
+#  Link: nvidia/tu117/gsp -> ../tu116/gsp
+#  
+#  File: nvidia/ga100/gsp/bootloader-535.113.01.bin
+#  File: nvidia/ga100/gsp/booter_load-535.113.01.bin
+#  File: nvidia/ga100/gsp/booter_unload-535.113.01.bin
+# -
+# -File: nvidia/ad102/gsp/bootloader-535.113.01.bin
+# -File: nvidia/ad102/gsp/booter_load-535.113.01.bin
+# -File: nvidia/ad102/gsp/booter_unload-535.113.01.bin
+# -Link: nvidia/ad103/gsp -> ../ad102/gsp
+# -Link: nvidia/ad104/gsp -> ../ad102/gsp
+# -Link: nvidia/ad106/gsp -> ../ad102/gsp
+# -Link: nvidia/ad107/gsp -> ../ad102/gsp
+# +File: nvidia/ga100/gsp/bootloader-570.144.bin
+# +File: nvidia/ga100/gsp/booter_load-570.144.bin
+# +File: nvidia/ga100/gsp/booter_unload-570.144.bin
+#  
+#  File: nvidia/ga102/gsp/bootloader-535.113.01.bin
+#  File: nvidia/ga102/gsp/booter_load-535.113.01.bin
+#  File: nvidia/ga102/gsp/booter_unload-535.113.01.bin
+# +File: nvidia/ga102/gsp/bootloader-570.144.bin
+# +File: nvidia/ga102/gsp/booter_load-570.144.bin
+# +File: nvidia/ga102/gsp/booter_unload-570.144.bin
+#  Link: nvidia/ga103/gsp -> ../ga102/gsp
+#  Link: nvidia/ga104/gsp -> ../ga102/gsp
+#  Link: nvidia/ga106/gsp -> ../ga102/gsp
+#  Link: nvidia/ga107/gsp -> ../ga102/gsp
+#  
+# +File: nvidia/ad102/gsp/bootloader-535.113.01.bin
+# +File: nvidia/ad102/gsp/booter_load-535.113.01.bin
+# +File: nvidia/ad102/gsp/booter_unload-535.113.01.bin
+# +File: nvidia/ad102/gsp/bootloader-570.144.bin
+# +File: nvidia/ad102/gsp/booter_load-570.144.bin
+# +File: nvidia/ad102/gsp/booter_unload-570.144.bin
+# +File: nvidia/ad102/gsp/scrubber-570.144.bin
+# +Link: nvidia/ad103 -> ad102
+# +Link: nvidia/ad104 -> ad102
+# +Link: nvidia/ad106 -> ad102
+# +Link: nvidia/ad107 -> ad102
+# +
+# +File: nvidia/gh100/gsp/bootloader-570.144.bin
+# +File: nvidia/gh100/gsp/fmc-570.144.bin
+# +
+# +File: nvidia/gb100/gsp/bootloader-570.144.bin
+# +File: nvidia/gb100/gsp/fmc-570.144.bin
+# +Link: nvidia/gb102 -> gb100
+# +
+# +File: nvidia/gb202/gsp/bootloader-570.144.bin
+# +File: nvidia/gb202/gsp/fmc-570.144.bin
+# +Link: nvidia/gb203 -> gb202
+# +Link: nvidia/gb205 -> gb202
+# +Link: nvidia/gb206 -> gb202
+# +Link: nvidia/gb207 -> gb202
+# +
+#  File: nvidia/tu102/gsp/gsp-535.113.01.bin
+#  Origin: gsp_tu10x.bin from NVIDIA-Linux-x86_64-535.113.01.run
+#  Link: nvidia/tu116/gsp/gsp-535.113.01.bin -> ../../tu102/gsp/gsp-535.113.01.bin
+# @@ -5862,6 +5747,17 @@
+#  Origin: gsp_ga10x.bin from NVIDIA-Linux-x86_64-535.113.01.run
+#  Link: nvidia/ad102/gsp/gsp-535.113.01.bin -> ../../ga102/gsp/gsp-535.113.01.bin
+#  
+# +File: nvidia/tu102/gsp/gsp-570.144.bin
+# +Origin: gsp_tu10x.bin from NVIDIA-Linux-x86_64-570.144.run
+# +Link: nvidia/tu116/gsp/gsp-570.144.bin -> ../../tu102/gsp/gsp-570.144.bin
+# +Link: nvidia/ga100/gsp/gsp-570.144.bin -> ../../tu102/gsp/gsp-570.144.bin
+# +
+# +File: nvidia/ga102/gsp/gsp-570.144.bin
+# +Origin: gsp_ga10x.bin from NVIDIA-Linux-x86_64-570.144.run
+# +Link: nvidia/ad102/gsp/gsp-570.144.bin -> ../../ga102/gsp/gsp-570.144.bin
+# +Link: nvidia/gh100/gsp/gsp-570.144.bin -> ../../ga102/gsp/gsp-570.144.bin
+# +Link: nvidia/gb100/gsp/gsp-570.144.bin -> ../../ga102/gsp/gsp-570.144.bin
+# +Link: nvidia/gb202/gsp/gsp-570.144.bin -> ../../ga102/gsp/gsp-570.144.bin
+#  Licence: Redistributable. See LICENCE.nvidia for details
+#  
+#  --------------------------------------------------------------------------
+# @@ -5921,6 +5817,15 @@
+#  File: mediatek/mt8173/vpu_p.bin
+#  Link: vpu_d.bin -> mediatek/mt8173/vpu_d.bin
+#  Link: vpu_p.bin -> mediatek/mt8173/vpu_p.bin
+# +
+# +Licence: Redistributable. See LICENCE.mediatek for details.
+# +
+# +--------------------------------------------------------------------------
+# +
+# +Driver: mt8196 - MediaTek MT8196 Video Controller Processor
+# +
+# +File: mediatek/mt8196/vcp.img
+# +Version: v1.0.0
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6119,9 +6024,9 @@
+#  Driver: mt7921 - MediaTek MT7921 Wireless MACs
+#  
+#  File: mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin
+# -Version: 20241106151007a
+# +Version: 20250523110946a
+#  File: mediatek/WIFI_RAM_CODE_MT7961_1.bin
+# -Version: 20241106150855
+# +Version: 20250523110807
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6130,7 +6035,7 @@
+#  Driver: mt7921 - MediaTek MT7921 bluetooth chipset
+#  
+#  File: mediatek/BT_RAM_CODE_MT7961_1_2_hdr.bin
+# -Version: 20241106151414
+# +Version: 20250523111333
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6139,9 +6044,9 @@
+#  Driver: mt7922 - MediaTek MT7922 Wireless MACs
+#  
+#  File: mediatek/WIFI_MT7922_patch_mcu_1_1_hdr.bin
+# -Version: 20241106163228a
+# +Version: 20250523103150a
+#  File: mediatek/WIFI_RAM_CODE_MT7922_1.bin
+# -Version: 20241106163156
+# +Version: 20250523103106
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6150,7 +6055,7 @@
+#  Driver: mt7922 - MediaTek MT7922 bluetooth chipset
+#  
+#  File: mediatek/BT_RAM_CODE_MT7922_1_1_hdr.bin
+# -Version: 20241106163512
+# +Version: 20250523103438
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6159,9 +6064,9 @@
+#  Driver: mt7925 - MediaTek MT7925 Wireless MACs
+#  
+#  File: mediatek/mt7925/WIFI_MT7925_PATCH_MCU_1_1_hdr.bin
+# -Version: 20250425072955a
+# +Version: 20250526152947a
+#  File: mediatek/mt7925/WIFI_RAM_CODE_MT7925_1_1.bin
+# -Version: 20250425072801
+# +Version: 20250526152808
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6170,7 +6075,7 @@
+#  Driver: mt7925 - MediaTek MT7925 bluetooth chipset
+#  
+#  File: mediatek/mt7925/BT_RAM_CODE_MT7925_1_1_hdr.bin
+# -Version: 20250425073330
+# +Version: 20250526153203
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6388,6 +6293,10 @@
+#  
+#  Version: VIDEO.VE.5.4-00059-PROD-1
+#  
+# +File: qcom/venus-5.4/venus_s2.mbn
+# +
+# +Version: VIDEO.VE.5.4-00060-PROD-1
+# +
+#  File: qcom/venus-6.0/venus.mbn
+#  
+#  Version: VIDEO.VE.6.0-00049-PROD-1
+# @@ -6414,7 +6323,7 @@
+#  
+#  File: qcom/vpu/vpu30_p4.mbn
+#  
+# -Version: VIDEO.VPU.3.1-0076
+# +Version: VIDEO.VPU.3.1-0092
+#  
+#  File: qcom/vpu/vpu30_p4_s6.mbn
+#  
+# @@ -6483,6 +6392,9 @@
+#  File: qcom/qcs615/a612_zap.mbn
+#  File: qcom/a623_gmu.bin
+#  File: qcom/qcs8300/a623_zap.mbn
+# +File: qcom/gen71500_gmu.bin
+# +File: qcom/gen71500_sqe.fw
+# +File: qcom/x1p42100/gen71500_zap.mbn
+#  
+#  Licence: Redistributable. See LICENSE.qcom and qcom/NOTICE.txt for details
+#  
+# @@ -6588,11 +6500,13 @@
+#  RawFile: qcom/sc8280xp/LENOVO/21BX/battmgr.jsn
+#  RawFile: qcom/sc8280xp/LENOVO/21BX/cdspr.jsn
+#  File: qcom/sc8280xp/LENOVO/21BX/qcadsp8280.mbn
+# -Version: ADSP.HT.5.6-00729-MAKENA-1
+# +Version: ADSP.HT.5.6.c2-00013-MAKENA-1.75542.4
+#  File: qcom/sc8280xp/LENOVO/21BX/qccdsp8280.mbn
+# -Version: CDSP.HT.2.6-00698-MAKENA-1
+# +Version: CDSP.HT.2.6-00735.4-MAKENA-1
+#  File: qcom/sc8280xp/LENOVO/21BX/qcslpi8280.mbn
+# -Version: SLPI.HY.4.1-00048-MAKENA-1
+# +Version: SLPI.HY.4.1-00061-MAKENA-1
+# +File: qcom/sc8280xp/LENOVO/21BX/qcvss8280.mbn
+# +Version: video-firmware.1.1-b158087140355883dc40b004032856a8feb5d565
+#  File: qcom/x1e80100/LENOVO/21N1/qcvss8380.mbn
+#  Version: vfw-3.1:rel0085-070fa3311d9ef968015fee7fea07198d7eb208a1
+#  File: qcom/x1e80100/adsp.mbn
+# @@ -6865,20 +6779,20 @@
+#  
+#  Driver: ice - Intel(R) Ethernet Connection E800 Series
+#  
+# -File: intel/ice/ddp/ice-1.3.41.0.pkg
+# -Link: intel/ice/ddp/ice.pkg -> ice-1.3.41.0.pkg
+# +File: intel/ice/ddp/ice-1.3.43.0.pkg
+# +Link: intel/ice/ddp/ice.pkg -> ice-1.3.43.0.pkg
+#  File: intel/ice/ddp-lag/ice_lag-1.3.1.0.pkg
+#  
+#  License: Redistributable. See LICENSE.ice for details
+#  
+# -File: intel/ice/ddp-comms/ice_comms-1.3.52.0.pkg
+# -File: intel/ice/ddp-wireless_edge/ice_wireless_edge-1.3.20.0.pkg
+# +File: intel/ice/ddp-comms/ice_comms-1.3.55.0.pkg
+# +File: intel/ice/ddp-wireless_edge/ice_wireless_edge-1.3.23.0.pkg
+#  
+#  License: Redistributable. See LICENSE.ice_enhanced for details
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: inside-secure -- Inside Secure EIP197 crypto driver
+# +Driver: inside-secure - Inside Secure EIP197 crypto driver
+#  
+#  File: inside-secure/eip197_minifw/ipue.bin
+#  File: inside-secure/eip197_minifw/ifpp.bin
+# @@ -6934,9 +6848,17 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: wave5 - Chips&Media, Inc. video codec driver
+# +Driver: wave5 - Chips&Media, Inc. Wave5 video codec driver
+#  
+#  File: cnm/wave521c_k3_codec_fw.bin
+# +
+# +Licence: Redistributable. See LICENCE.cnm for details.
+# +
+# +--------------------------------------------------------------------------
+# +
+# +Driver: wave6 - Chips&Media, Inc. Wave6 video codec driver
+# +
+# +File: cnm/wave633c_imx9_codec_fw.bin
+#  
+#  Licence: Redistributable. See LICENCE.cnm for details.
+#  
+# @@ -7458,11 +7380,11 @@
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10431d1f-spkid1-l0.bin -> cs35l41-dsp1-spk-prot-10431503-spkid1-l0.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10431d1f-spkid1-r0.bin -> cs35l41-dsp1-spk-prot-10431503-spkid1-r0.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10431b93.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+# -Link: cirrus/cs35l41-dsp1-spk-prot-10431a20.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+# -Link: cirrus/cs35l41-dsp1-spk-prot-10431a30.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+# -Link: cirrus/cs35l41-dsp1-spk-prot-10431a40.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+# -Link: cirrus/cs35l41-dsp1-spk-prot-10431a50.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+# -Link: cirrus/cs35l41-dsp1-spk-prot-10431a60.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10433a20.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10433a30.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10433a40.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10433a50.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10433a60.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+#  File: cirrus/cs35l41-dsp1-spk-prot-10431b93-spkid0-l0.bin
+#  File: cirrus/cs35l41-dsp1-spk-prot-10431b93-spkid0-r0.bin
+#  File: cirrus/cs35l41-dsp1-spk-prot-10431b93-spkid1-l0.bin
+# @@ -7667,6 +7589,9 @@
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10433d88-spkid0-r0.bincfg -> cs35l41/bincfgs/cs35l41-dsp1-14_5dB.bincfg
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10433d88-spkid1-l0.bincfg -> cs35l41/bincfgs/cs35l41-dsp1-14_5dB.bincfg
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10433d88-spkid1-r0.bincfg -> cs35l41/bincfgs/cs35l41-dsp1-14_5dB.bincfg
+# +Link: cirrus/cs35l41-dsp1-spk-prot-104388f4.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +File: cirrus/cs35l41-dsp1-spk-prot-104388f4-spkid0.bin
+# +File: cirrus/cs35l41-dsp1-spk-prot-104388f4-spkid1.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-17aa2316.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+#  Link: cirrus/cs35l41-dsp1-spk-prot-17aa2317.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+#  File: cirrus/cs35l41-dsp1-spk-prot-17aa2316-spkid0-l0.bin
+# @@ -7861,11 +7786,26 @@
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8cdf-spkid1-r0.bin -> cs35l41-dsp1-spk-prot-103c8cdf-spkid1-l0.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8ce0-spkid1-l0.bin -> cs35l41-dsp1-spk-prot-103c8cdf-spkid1-l0.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8ce0-spkid1-r0.bin -> cs35l41-dsp1-spk-prot-103c8cdf-spkid1-l0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e3a.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e3b.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +File: cirrus/cs35l41-dsp1-spk-prot-103c8e3a-spkid0.bin
+# +File: cirrus/cs35l41-dsp1-spk-prot-103c8e3a-spkid1.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e3b-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8e3a-spkid0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e3b-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8e3a-spkid1.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-1f660105.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+#  File: cirrus/cs35l41-dsp1-spk-prot-1f660105.bin
+#  File: cirrus/cs35l41/v6.51.0/halo_cspl_RAM_revB2_29.53.0.wmfw
+#  Link: cirrus/cs35l41-dsp1-spk-prot-vlv1776.wmfw -> cs35l41/v6.51.0/halo_cspl_RAM_revB2_29.53.0.wmfw
+#  File: cirrus/cs35l41-dsp1-spk-prot-vlv1776.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-1025182c.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10251826.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10251844.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +File: cirrus/cs35l41-dsp1-spk-prot-1025182c-l0.bin
+# +File: cirrus/cs35l41-dsp1-spk-prot-1025182c-r0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10251826-l0.bin -> cs35l41-dsp1-spk-prot-1025182c-l0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10251826-r0.bin -> cs35l41-dsp1-spk-prot-1025182c-r0.bin
+# +File: cirrus/cs35l41-dsp1-spk-prot-10251844-l0.bin
+# +File: cirrus/cs35l41-dsp1-spk-prot-10251844-r0.bin
+#  
+#  License: Redistributable. See LICENSE.cirrus for details.
+#  
+# @@ -8289,6 +8229,9 @@
+#  File: powervr/rogue_33.15.11.3_v1.fw
+#  Version: 1.0.OS@6503725
+#  
+# +File: powervr/rogue_36.53.104.796_v1.fw
+# +Version: 1.0.OS@6734358
+# +
+#  License: Redistributable. See LICENSE.powervr for details
+#  
+#  --------------------------------------------------------------------------
+# @@ -8540,14 +8483,14 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: intel_vpu -- Intel NPU driver
+# +Driver: intel_vpu - Intel NPU driver
+#  
+#  File: intel/vpu/vpu_37xx_v1.bin
+# -Version: ci_tag_ud202512_vpu_rc_20250306_1130
+# +Version: ci_tag_ud202518_vpu_rc_20250415_1900
+#  Link: intel/vpu/vpu_37xx_v0.0.bin -> vpu_37xx_v1.bin
+#  
+#  File: intel/vpu/vpu_40xx_v1.bin
+# -Version: ci_tag_ud202512_vpu_rc_20250306_1130
+# +Version: ci_tag_ud202518_vpu_rc_20250415_1900
+#  Link: intel/vpu/vpu_40xx_v0.0.bin -> vpu_40xx_v1.bin
+#  
+#  License: Redistributable. See LICENSE.intel_vpu for details
+# @@ -8563,7 +8506,9 @@
+#  
+#  ---------------------------------------------------------------------------
+#  
+# -Driver: qcs9100 - Qualcomm QUPv3 firmware image file
+# +Driver: qcom-geni-se - Qualcomm QUPv3 firmware image file
+#  File: qcom/sa8775p/qupv3fw.elf
+# +File: qcom/qcm6490/qupv3fw.elf
+# +File: qcom/qcs8300/qupv3fw.elf
+#  
+#  License: Redistributable. See LICENSE.qcom and qcom/NOTICE.txt for details
+# 
+#
+
 SUMMARY = "Firmware files for use with Linux kernel"
 HOMEPAGE = "https://www.kernel.org/"
 DESCRIPTION = "Linux firmware is a package distributed alongside the Linux kernel \
@@ -97,7 +1656,7 @@ LIC_FILES_CHKSUM = "file://LICENCE.Abilis;md5=b5ee3f410780e56711ad48eadc22b8bc \
                     file://LICENCE.cavium;md5=c37aaffb1ebe5939b2580d073a95daea \
                     file://LICENCE.chelsio_firmware;md5=819aa8c3fa453f1b258ed8d168a9d903 \
                     file://LICENSE.cirrus;md5=662ea2c1a8888f7d79ed7f27c27472e1 \
-                    file://LICENCE.cnm;md5=93b67e6bac7f8fec22b96b8ad0a1a9d0 \
+                    file://LICENCE.cnm;md5=df3992006621b797e36de43f36336e36 \
                     file://LICENCE.cw1200;md5=f0f770864e7a8444a5c5aa9d12a3a7ed \
                     file://LICENCE.cypress;md5=48cd9436c763bf873961f9ed7b5c147b \
                     file://LICENSE.dib0700;md5=f7411825c8a555a1a3e5eab9ca773431 \
@@ -156,7 +1715,7 @@ LIC_FILES_CHKSUM = "file://LICENCE.Abilis;md5=b5ee3f410780e56711ad48eadc22b8bc \
                     file://LICENCE.xc5000;md5=1e170c13175323c32c7f4d0998d53f66 \
                     file://LICENCE.xc5000c;md5=12b02efa3049db65d524aeb418dd87ca \
                     file://wfx/LICENCE.wf200;md5=4d1beff00d902c05c9c7e95a5d8eb52d \
-                    file://WHENCE;md5=${WHENCE_CHKSUM} \
+                    file://WHENCE;md5=3b864f69afb6609b4558a074bb428348 \
                     "
 # WHENCE checksum is defined separately to ease overriding it if
 # class-devupstream is selected.
@@ -250,7 +1809,7 @@ SRC_URI:class-devupstream = "git://git.kernel.org/pub/scm/linux/kernel/git/firmw
 # Pin this to the 20220509 release, override this in local.conf
 SRCREV:class-devupstream ?= "b19cbdca78ab2adfd210c91be15a22568e8b8cae"
 
-SRC_URI[sha256sum] = "f2c60d66f226a28130cb5643e6e544d3229673460e127c91ba03f1080cbd703e"
+SRC_URI[sha256sum] = "edefb1d2a538367abf9558802fee3cd135ebb19a4a5890c8eefb3416a92a6b89"
 
 inherit allarch
 
-- 
2.47.1

